Class SendMessageRequest

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
org.a2aproject.sdk.grpc.SendMessageRequest
All Implemented Interfaces:
com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, SendMessageRequestOrBuilder

@Generated public final class SendMessageRequest extends com.google.protobuf.GeneratedMessage implements SendMessageRequestOrBuilder
Represents a request for the `SendMessage` method.
Protobuf type lf.a2a.v1.SendMessageRequest
See Also:
  • Field Details

  • Method Details

    • getDescriptor

      public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()
    • internalGetFieldAccessorTable

      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
      Specified by:
      internalGetFieldAccessorTable in class com.google.protobuf.GeneratedMessage
    • getTenant

      public String getTenant()
      Optional. Tenant ID, provided as a path parameter.
      
      string tenant = 1;
      Specified by:
      getTenant in interface SendMessageRequestOrBuilder
      Returns:
      The tenant.
    • getTenantBytes

      public com.google.protobuf.ByteString getTenantBytes()
      Optional. Tenant ID, provided as a path parameter.
      
      string tenant = 1;
      Specified by:
      getTenantBytes in interface SendMessageRequestOrBuilder
      Returns:
      The bytes for tenant.
    • hasMessage

      public boolean hasMessage()
      The message to send to the agent.
      
      .lf.a2a.v1.Message message = 2 [(.google.api.field_behavior) = REQUIRED];
      Specified by:
      hasMessage in interface SendMessageRequestOrBuilder
      Returns:
      Whether the message field is set.
    • getMessage

      public Message getMessage()
      The message to send to the agent.
      
      .lf.a2a.v1.Message message = 2 [(.google.api.field_behavior) = REQUIRED];
      Specified by:
      getMessage in interface SendMessageRequestOrBuilder
      Returns:
      The message.
    • getMessageOrBuilder

      public MessageOrBuilder getMessageOrBuilder()
      The message to send to the agent.
      
      .lf.a2a.v1.Message message = 2 [(.google.api.field_behavior) = REQUIRED];
      Specified by:
      getMessageOrBuilder in interface SendMessageRequestOrBuilder
    • hasConfiguration

      public boolean hasConfiguration()
      Configuration for the send request.
      
      .lf.a2a.v1.SendMessageConfiguration configuration = 3;
      Specified by:
      hasConfiguration in interface SendMessageRequestOrBuilder
      Returns:
      Whether the configuration field is set.
    • getConfiguration

      public SendMessageConfiguration getConfiguration()
      Configuration for the send request.
      
      .lf.a2a.v1.SendMessageConfiguration configuration = 3;
      Specified by:
      getConfiguration in interface SendMessageRequestOrBuilder
      Returns:
      The configuration.
    • getConfigurationOrBuilder

      public SendMessageConfigurationOrBuilder getConfigurationOrBuilder()
      Configuration for the send request.
      
      .lf.a2a.v1.SendMessageConfiguration configuration = 3;
      Specified by:
      getConfigurationOrBuilder in interface SendMessageRequestOrBuilder
    • hasMetadata

      public boolean hasMetadata()
      A flexible key-value map for passing additional context or parameters.
      
      .google.protobuf.Struct metadata = 4;
      Specified by:
      hasMetadata in interface SendMessageRequestOrBuilder
      Returns:
      Whether the metadata field is set.
    • getMetadata

      public com.google.protobuf.Struct getMetadata()
      A flexible key-value map for passing additional context or parameters.
      
      .google.protobuf.Struct metadata = 4;
      Specified by:
      getMetadata in interface SendMessageRequestOrBuilder
      Returns:
      The metadata.
    • getMetadataOrBuilder

      public com.google.protobuf.StructOrBuilder getMetadataOrBuilder()
      A flexible key-value map for passing additional context or parameters.
      
      .google.protobuf.Struct metadata = 4;
      Specified by:
      getMetadataOrBuilder in interface SendMessageRequestOrBuilder
    • isInitialized

      public final boolean isInitialized()
      Specified by:
      isInitialized in interface com.google.protobuf.MessageLiteOrBuilder
      Overrides:
      isInitialized in class com.google.protobuf.GeneratedMessage
    • writeTo

      public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException
      Specified by:
      writeTo in interface com.google.protobuf.MessageLite
      Overrides:
      writeTo in class com.google.protobuf.GeneratedMessage
      Throws:
      IOException
    • getSerializedSize

      public int getSerializedSize()
      Specified by:
      getSerializedSize in interface com.google.protobuf.MessageLite
      Overrides:
      getSerializedSize in class com.google.protobuf.GeneratedMessage
    • equals

      public boolean equals(Object obj)
      Specified by:
      equals in interface com.google.protobuf.Message
      Overrides:
      equals in class com.google.protobuf.AbstractMessage
    • hashCode

      public int hashCode()
      Specified by:
      hashCode in interface com.google.protobuf.Message
      Overrides:
      hashCode in class com.google.protobuf.AbstractMessage
    • parseFrom

      public static SendMessageRequest parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
      Throws:
      com.google.protobuf.InvalidProtocolBufferException
    • parseFrom

      public static SendMessageRequest parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
      Throws:
      com.google.protobuf.InvalidProtocolBufferException
    • parseFrom

      public static SendMessageRequest parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
      Throws:
      com.google.protobuf.InvalidProtocolBufferException
    • parseFrom

      public static SendMessageRequest parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
      Throws:
      com.google.protobuf.InvalidProtocolBufferException
    • parseFrom

      public static SendMessageRequest parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
      Throws:
      com.google.protobuf.InvalidProtocolBufferException
    • parseFrom

      public static SendMessageRequest parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
      Throws:
      com.google.protobuf.InvalidProtocolBufferException
    • parseFrom

      public static SendMessageRequest parseFrom(InputStream input) throws IOException
      Throws:
      IOException
    • parseFrom

      public static SendMessageRequest parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
      Throws:
      IOException
    • parseDelimitedFrom

      public static SendMessageRequest parseDelimitedFrom(InputStream input) throws IOException
      Throws:
      IOException
    • parseDelimitedFrom

      public static SendMessageRequest parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
      Throws:
      IOException
    • parseFrom

      public static SendMessageRequest parseFrom(com.google.protobuf.CodedInputStream input) throws IOException
      Throws:
      IOException
    • parseFrom

      public static SendMessageRequest parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
      Throws:
      IOException
    • newBuilderForType

      public SendMessageRequest.Builder newBuilderForType()
      Specified by:
      newBuilderForType in interface com.google.protobuf.Message
      Specified by:
      newBuilderForType in interface com.google.protobuf.MessageLite
    • newBuilder

      public static SendMessageRequest.Builder newBuilder()
    • newBuilder

      public static SendMessageRequest.Builder newBuilder(SendMessageRequest prototype)
    • toBuilder

      public SendMessageRequest.Builder toBuilder()
      Specified by:
      toBuilder in interface com.google.protobuf.Message
      Specified by:
      toBuilder in interface com.google.protobuf.MessageLite
    • newBuilderForType

      protected SendMessageRequest.Builder newBuilderForType(com.google.protobuf.AbstractMessage.BuilderParent parent)
      Overrides:
      newBuilderForType in class com.google.protobuf.AbstractMessage
    • getDefaultInstance

      public static SendMessageRequest getDefaultInstance()
    • parser

      public static com.google.protobuf.Parser<SendMessageRequest> parser()
    • getParserForType

      public com.google.protobuf.Parser<SendMessageRequest> getParserForType()
      Specified by:
      getParserForType in interface com.google.protobuf.Message
      Specified by:
      getParserForType in interface com.google.protobuf.MessageLite
      Overrides:
      getParserForType in class com.google.protobuf.GeneratedMessage
    • getDefaultInstanceForType

      public SendMessageRequest getDefaultInstanceForType()
      Specified by:
      getDefaultInstanceForType in interface com.google.protobuf.MessageLiteOrBuilder
      Specified by:
      getDefaultInstanceForType in interface com.google.protobuf.MessageOrBuilder